mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SymmetricAlgorithm Rijndael is a symmetric block cipher supporting block and key sizes of 128, 192 and 256 bits. It has been chosen as the AES cipher.

To be compatible with AES you should only use 128 bits as the block size. Other block size (192, 256) aren't part of the AES specification and may be problematic for interoperability with other implementations.

The AES specification is known as NIST FIPS PUB 197: Advanced Encryption Standard available at http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Security.Cryptography.Rijndael Create an instance of the default Rijndael implementation. To be added: an object of type 'Rijndael' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Security.Cryptography.Rijndael `` To be added: an object of type 'string' Create an instance of the specified Rijndael implementation. To be added: an object of type 'Rijndael' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)